// Code generated by go-swagger; DO NOT EDIT.

package container_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	models "gitlab.com/kathra/kathra/kathra-services/kathra-runtimemanager/kathra-runtimemanager-go/kathra-runtimemanager-interface/models"
)

// GetRuntimeContainerOKCode is the HTTP code returned for type GetRuntimeContainerOK
const GetRuntimeContainerOKCode int = 200

/*GetRuntimeContainerOK RuntimeContainer from RuntimeAppInstance

swagger:response getRuntimeContainerOK
*/
type GetRuntimeContainerOK struct {

	/*
	  In: Body
	*/
	Payload *models.RuntimeContainer `json:"body,omitempty"`
}

// NewGetRuntimeContainerOK creates GetRuntimeContainerOK with default headers values
func NewGetRuntimeContainerOK() *GetRuntimeContainerOK {

	return &GetRuntimeContainerOK{}
}

// WithPayload adds the payload to the get runtime container o k response
func (o *GetRuntimeContainerOK) WithPayload(payload *models.RuntimeContainer) *GetRuntimeContainerOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the get runtime container o k response
func (o *GetRuntimeContainerOK) SetPayload(payload *models.RuntimeContainer) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *GetRuntimeContainerOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
